店舗取得
GET
/stores/{store_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/stores/example?with_tables=none';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/stores/example?with_tables=none' \ --header 'Authorization: Bearer <token>'店舗情報を取得します
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_id
required
string
店舗ID
Query Parameters
Section titled “Query Parameters”with_tables
string
店舗テーブル情報を含むかを指定します。
all: 全て含むnone: 含めない(キーtablesを含めない)
Example
noneResponses
Section titled “Responses”OK
Media typeapplication/json
object
id
required
店舗ID
string
name
店舗名
string
startOfDay
切替時刻[hh:mm:ss]
string
tablesCount
テーブル数
integer
suspend
休止日時[YYYY-MM-DDThh:mm:ssTZD]
string
created
店舗作成日時[YYYY-MM-DDThh:mm:ssTZD]
string
posStoreId
スマレジ・POSの店舗ID
※ウェイター管理画面ver.2.32.0未満から利用されているスタンダードプランの契約では、店舗のスマレジ・POS連携が有効化されていない場合にnullが格納されます。
管理画面から有効化された契約、ver.2.32.0以降に作成された契約、スタンダードプラン以外の契約では店舗のスマレジ・POS連携は常に有効化されており、無効化することは出来ません。
string
tables
店舗テーブルリスト
Array<object>
Tableテーブル情報
object
id
required
テーブルID
string
name
テーブル名
string
category
テーブルカテゴリー
string
sortNo
テーブル全体での並び順
integer
Examples
{ "id": "1", "name": "テスト店舗", "startOfDay": "10:00:00", "tablesCount": 35, "suspend": null, "created": "2019-12-13T15:34:20+09:00", "posStoreId": "5", "tables": [ { "id": "1", "name": "A1", "category": "1F", "sortNo": 1 }, { "id": "2", "name": "A2", "category": "1F", "sortNo": 2 } ]}{ "id": "1", "name": "テスト店舗", "startOfDay": "10:00:00", "tablesCount": 35, "suspend": null, "created": "2019-12-13T15:34:20+09:00", "posStoreId": "5"}